﻿using System;
using System.Collections.Generic;

namespace OOO_WriteAndClear.DBModels;

public partial class Product
{

    public string ProductArticleNumber { get; set; } = null!;

    public string ProductName { get; set; } = null!;

    public string? ProductDescription { get; set; }

    public int CategoryId { get; set; }

    public int ProductMeasurmentId { get; set; }

    public string? ProductPhoto { get; set; }

    public int ProductSuppliarId { get; set; }

    public int ProductManufacturerId { get; set; }

    public decimal ProductCost { get; set; }

    public byte? ProductDiscountMax { get; set; }

    public decimal? ProductDiscountAmount { get; set; }

    public int ProductQuantityInStock { get; set; }

    public virtual Category Category { get; set; } = null!;

    public virtual ICollection<OrderProduct> OrderProducts { get; set; } = new List<OrderProduct>();

    public virtual Manufacturer ProductManufacturer { get; set; } = null!;

    public virtual Measurment ProductMeasurment { get; set; } = null!;

    public virtual Supplier ProductSuppliar { get; set; } = null!;

}
