﻿using System;
using System.Collections.Generic;

namespace OOO_WriteAndClear.DBModels;

public partial class Order
{
    public int OrderId { get; set; }

    public int OrderReceiveCode { get; set; }

    public string OrderCustomer { get; set; } = null!;

    public int OrderStatusId { get; set; }

    public DateTime OrderCreateDate { get; set; }

    public DateTime OrderDeliveryDate { get; set; }

    public int OrderPickupPointId { get; set; }

    public virtual PickupPoint OrderPickupPoint { get; set; } = null!;

    public virtual ICollection<OrderProduct> OrderProducts { get; set; } = new List<OrderProduct>();

    public virtual OrderStatus OrderStatus { get; set; } = null!;
}
