﻿using OOO_WriteAndClear.DBModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OOO_WriteAndClear.MVP.MVPInterfaces
{
    public interface IAuthorizationContract
    {
        public interface IView
        {
            public void ShowFailureAuthorizeMessage();

            public void LetInAuthorizedUser(User user);
        }

        public interface IPresenter
        {
            public void CheckTheUser(string login, string password);
        }

        public interface IModel
        {
            public User? AuthorizationUserInSystem(string login, string password);
        }
    }
}
