﻿using OOO_WriteAndClear.DBModels;
using OOO_WriteAndClear.MVP.Models.ProductsUserControlModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OOO_WriteAndClear.MVP.MVPInterfaces
{
    public interface IOrdersUserControlContract
    {
        public interface View
        {

        }

        public interface Presenter
        {
            ICollection<Order> Orders { get; }


            void UpdateOrdersFromDB();

            ICollection<Order> UpdateOrdersListForSortingAndFilting(FilterByDiscountParameters filterParams, string sortingParams);
        }

        public interface Model
        {
            ICollection<Order> Orders { get; }


            void UpdateOrdersFromDB();

            void FilterAndSorting(FilterByDiscountParameters filterParams, string sortingParams);
        }
    }
}
